module.exports = {
  create: {
    requestBody: [
      "title",
      "province",
      "place",
      "sponsor",
      "brief",
      "user",
      "phone",
      "video_data",
      "user_data",
      "create_date",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "title",
      "province",
      "place",
      "sponsor",
      "brief",
      "user",
      "phone",
      "video_data",
      "user_data",
      "create_date",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        title: "title",
        province: "province",
        place: "place",
        sponsor: "sponsor",
        brief: "brief",
        user: "user",
        phone: "phone",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.status": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  userData:{
    params: ["!id"],
    service: "userData",
  },
  addUser: {
    params: ["!id"],
    requestBody: ["users"],
    service: "addUser",
  },
  updateUser: {
    params: ["!id"],
    requestBody: ["users"],
    service: "updateUser",
  },
  deleteUser: {
    params: ["!id"],
    requestBody: ["users"],
    service: "deleteUser",
  },
  userLogin: {
    params: ["!id"],
    requestBody: ["user_phone", "user_password"],
    service: "userLogin",
  },
  userLogout: {
    params: ["!id"],
    service: "userLogout",
  },
  login:{
    requestBody: ["room_id", "password"],
    service: "login",
  },
  userLonger:{
    params: ["!id"],
    service: "userLonger",
  }
};
