'use strict';
const Schema = require('mongoose').Schema;
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');

const images = new Schema({
  name: { type: String, required: true, maxLength: 500 }, // 图片名称
  url: { type: String, required: true, maxLength: 500 }, // 图片路径
});
// 展会信息表
const ImgtxtdockSchema = {
  dock_id: { type: String, required: true, maxLength: 500 }, // 展会id
  user_name: { type: String, required: false, maxLength: 500 }, // 姓名
  brief: { type: String, required: false, maxLength: 500 }, // 信息内容
  image: { type: [ images ], select: true }, // 图片
  file_path: { type: String, required: false }, // 视频路径
};


const schema = new Schema(ImgtxtdockSchema, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.plugin(metaPlugin);

module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Imgtxtdock', schema, 'imgtxtdock');
};
